<?php

namespace Modules\Pp\Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Database\Eloquent\Model;
use Modules\Pp\Entities\Shippingterm;
use Modules\Pp\Entities\Productmix;
use Modules\Pp\Entities\Washedlevel;
use Modules\Pp\Entities\Plantholesize;

class SettingSeederTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->shippingTermSeeder();
        $this->productMixSeeder();
        $this->washedLevelSeeder();
        $this->plantHoleSizeSeeder();

        // $this->call("OthersTableSeeder");
    }

    private function shippingTermSeeder()
    {
        Shippingterm::create([
            "shipping_term" => "Unspecified",
            "status" => 1
        ]);
    }

    private function productMixSeeder()
    {
        Productmix::create([
            "product_mix" => "Unspecified",
            "status" => 1
        ]);
    }


    private function washedLevelSeeder()
    {
        Washedlevel::create([
            "washed_level" => "Unspecified",
            "status" => 1
        ]);
    }

    private function plantHoleSizeSeeder()
    {
        Plantholesize::create([
            "plant_hole_size" => "Unspecified",
            "status" => 1
        ]);
    }

    
}
